Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
aato
Get AATO Values
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/aato \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/aato"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/aato', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "gstin": "33GSPTN0062G1ZH",
      "fy": "2020-21",
      "pan": "AAGFT0853L",
      "gsttofil": 1100,
      "pantofil": 5000,
      "estgstto": 1234,
      "estpanto": 5678,
      "finalgstto": 1234,
      "finalpanto": 5678,
      "tpdecto": [
        {
          "estgstto": 1234,
          "gsttobytp": 1334,
          "docId": {
            "id": "20210407311"
          },
          "remarks": "GSP 1st submission",
          "filingDate": "01/07/2021 15:31:13"
        },
        {
          "estgstto": 1234,
          "gsttobytp": 1334,
          "docId": {
            "id": "20210407311"
          },
          "remarks": "GSP 2nd submission",
          "filingDate": "01/07/2021 15:31:13"
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Query Parameters

financial_year
string
required

Financial year on the compliance surface. Example: FY 2025-26. The manager should normalize this to the GST FO request year such as 2025-26 before calling the lower client.

Response

200 - application/json

200 Success

The response is of type object.